package cz.moneta.test.dsl.ib.components;

import cz.moneta.test.dsl.ib.documents.MyDocumentsPage;
import cz.moneta.test.dsl.ib.messages.IbArrivedMailsPage;
import cz.moneta.test.harness.support.web.Builder;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Wait;

import static cz.moneta.test.dsl.ib.components.UserMenu.MESSAGES;

@Wait(MESSAGES)
public interface UserMenu extends Builder {
    String MY_DOCUMENTS_BUTTON = "//a[text()='Moje dokumenty']";
    String MESSAGES = "//a[text() = 'Zprávy']";
    String SETTINGS_PAGE_LINK = "//img[contains(@src,'images/nastaveni')]";

    @Click(MY_DOCUMENTS_BUTTON)
    MyDocumentsPage clickToMyDocuments();

    @Wait(MESSAGES)
    @Click(MESSAGES)
    IbArrivedMailsPage messages();
}